# Generated from swagger_coverage-0.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name swagger_coverage

Name: rubygem-%{gem_name}
Version: 0.0.8
Release: 1%{?dist}
Summary: A tool designed to report on swagger documentation coverage for phoenix and rails APIs
License: MIT
URL: https://gitlab.spice.spiceworks.com/spiceworks/swagger-cov.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
swagger_coverage programmatically compares Swagger API routes to existing
routes from the source code and reports the difference(s).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/build.exp
%{gem_libdir}
%{gem_instdir}/non_api_routes_test_info
%{gem_instdir}/routes.txt
%{gem_instdir}/routes3.txt
%{gem_instdir}/routes4.txt
%{gem_instdir}/swagger.json
%{gem_instdir}/swagger3.json
%{gem_instdir}/swagger4.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/swagger_coverage.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.8-1
- Initial package
